(*
    FCE
    Copyright (c) 1996 Alessandro Scotti
    http://www.ascotti.org/

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*)
unit About;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls, Buttons;

type
  TfrmAbout = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    BitBtn1: TBitBtn;
    Image1: TImage;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure Image1DblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

{$R *.DFM}

const
  MAX_COLOR = 3;
const
  LabelIndex: integer = 1;
  ColorIndex: integer = 1;
  ColorArray: array[ 1..MAX_COLOR ] of TColor = (
    clLime, clRed, clBlue
  );

procedure TfrmAbout.Timer1Timer(Sender: TObject);
var
  L: TLabel;
  I: integer;
begin
  (* Random *)
  (*
  I := Random( 4 ) + 1;
  L := FindComponent( 'Label'+IntToStr(I) ) as TLabel;
  I := Random( 3 ) + 1;
  L.Font.Color := ColorArray[I];
  *)
  (* Sequence *)
  L := FindComponent( 'Label'+IntToStr(LabelIndex) ) as TLabel;
  L.Font.Color := ColorArray[ColorIndex];
  Inc( LabelIndex );
  if( LabelIndex > 4 ) then begin
    LabelIndex := 1;
    Inc( ColorIndex );
    if( ColorIndex > MAX_COLOR ) then
      ColorIndex := 1;
  end;
end;

procedure TfrmAbout.Image1DblClick(Sender: TObject);
begin
  Timer1.Enabled := not Timer1.Enabled;
end;

end.
